## visad.java3d
Class ShadowAnimationFunctionTypeJ3D

    java.lang.Object
      visad.ShadowType
          visad.java3d.ShadowTypeJ3D
              visad.java3d.ShadowFunctionOrSetTypeJ3D
                  visad.java3d.ShadowFunctionTypeJ3D
                      visad.java3d.ShadowAnimationFunctionTypeJ3D

All Implemented Interfaces:
  Serializable

public class ShadowAnimationFunctionTypeJ3D
extends ShadowFunctionTypeJ3D

The ShadowAnimationFunctionTypeJ3D class shadows the FunctionType class for AnimationRendererJ3D, within a DataDisplayLink, under Java3D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
`Domain, Range`

Fields inherited from class visad.java3d.ShadowTypeJ3D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, projListener, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowAnimationFunctionTypeJ3D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`boolean` `doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` transform data into a Java3D scene graph; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

Methods inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
`addSwitch, addToGroup, addToSwitch, adjustZ, getDomain, getRange, getTextMaps, makeBranch, makeGeometrys, makeSwitch, makeVisADGeometrys, postProcess, preProcess, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class visad.java3d.ShadowTypeJ3D

`addLabelsToGroup, addTextToGroup, addToGroup, allowConstantColorSurfaces, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, ensureNotEmpty, ensureNotEmpty, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, staticMakeAppearance, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`adjustFlowToEarth, allowCurvedTexture, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, terminalTupleOrScalar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowAnimationFunctionTypeJ3D

    public ShadowAnimationFunctionTypeJ3D(MathType t,
                                          DataDisplayLink link,
                                          ShadowType parent)
                                   throws VisADException,
                                          RemoteException

Method Detail

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  Description copied from class: `ShadowFunctionOrSetTypeJ3D`
  transform data into a Java3D scene graph; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

  Overrides:
    `doTransform` in class `ShadowFunctionOrSetTypeJ3D`
  Throws:
    `VisADException`
    `RemoteException`